
%global meadversion 2.9.8
%global namedversion 2.9.8.redhat-00004
%global meadalpha .redhat_00004
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00004

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package jackson-modules-java8}
%{!?scl:%global pkg_name %{name}}

%define maven_version 2.9.8.redhat-00004

Name:           %{?scl_prefix}jackson-modules-java8
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Jackson modules: Java 8
Group:          Development/Java

%if %with mead
Source100: jackson-modules-java8-2.9.8.redhat-00004-project-sources.tar.gz
Source102: jackson-datatype-jdk8-2.9.8.redhat-00004-javadoc.jar
Source103: jackson-module-parameter-names-2.9.8.redhat-00004.pom
Source104: jackson-datatype-jsr310-2.9.8.redhat-00004.jar
Source105: jackson-datatype-jdk8-2.9.8.redhat-00004.jar
Source106: jackson-modules-java8-2.9.8.redhat-00004.pom
Source107: jackson-module-parameter-names-2.9.8.redhat-00004-sources.jar
Source108: jackson-datatype-jsr310-2.9.8.redhat-00004-sources.jar
Source109: jackson-datatype-jdk8-2.9.8.redhat-00004.pom
Source110: jackson-datatype-jsr310-2.9.8.redhat-00004.pom
Source111: jackson-datatype-jsr310-2.9.8.redhat-00004-javadoc.jar
Source112: jackson-datatype-jdk8-2.9.8.redhat-00004-sources.jar
Source113: jackson-module-parameter-names-2.9.8.redhat-00004-javadoc.jar
Source114: jackson-module-parameter-names-2.9.8.redhat-00004.jar
%endif

License:        ASL 2.0
URL:            https://github.com/FasterXML/jackson-modules-java8
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
Parent pom for Jackson modules needed to support Java 8 features and types.

%package -n %{?scl_prefix}jackson-module-parameter-names
Summary:        Jackson-module-parameter-names
Group:          Development/Java

Requires:       %{?scl_prefix_eap}jackson-core >= 0:%{version}
Requires:       %{?scl_prefix_eap}jackson-databind >= 0:%{version}

%description -n %{?scl_prefix}jackson-module-parameter-names
Add-on module for Jackson (http://jackson.codehaus.org) to support introspection
of method/constructor parameter names, without having to add explicit property
name annotation.

%package -n %{?scl_prefix}jackson-datatype-jdk8
Summary:        Jackson datatype: jdk8
Group:          Development/Java

Requires:       %{?scl_prefix_eap}jackson-core >= 0:%{version}
Requires:       %{?scl_prefix_eap}jackson-databind >= 0:%{version}

%description -n %{?scl_prefix}jackson-datatype-jdk8
Add-on module for Jackson (http://jackson.codehaus.org) to support JDK 8 data
types.

%package -n %{?scl_prefix}jackson-datatype-jsr310
Summary:        Jackson datatype: JSR310
Group:          Development/Java

Requires:       %{?scl_prefix_eap}jackson-annotations >= 0:%{version}
Requires:       %{?scl_prefix_eap}jackson-core >= 0:%{version}
Requires:       %{?scl_prefix_eap}jackson-databind >= 0:%{version}

%description -n %{?scl_prefix}jackson-datatype-jsr310
Add-on module to support JSR-310 (Java 8 Date & Time API) data types.

%if %with javadoc
%package javadoc
Summary:        Javadoc for jackson-modules-java8
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n jackson-modules-java8-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/jackson-module-parameter-names-%{namedversion}.jar %{buildroot}%{_javadir}/jackson-module-parameter-names-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jackson-module-parameter-names-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jackson-module-parameter-names-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jackson-module-parameter-names-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jackson-module-parameter-names-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/jackson-datatype-jdk8-%{namedversion}.jar %{buildroot}%{_javadir}/jackson-datatype-jdk8-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jackson-datatype-jdk8-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jackson-datatype-jdk8-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jackson-datatype-jdk8-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jackson-datatype-jdk8-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/jackson-datatype-jsr310-%{namedversion}.jar %{buildroot}%{_javadir}/jackson-datatype-jsr310-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jackson-datatype-jsr310-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jackson-datatype-jsr310-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jackson-datatype-jsr310-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jackson-datatype-jsr310-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jackson-modules-java8-%{namedversion}
unzip -qq %{_sourcedir}/jackson-modules-java8-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jackson-modules-java8-%{namedversion} -x META-INF/\*
%{__ln_s} jackson-modules-java8-%{namedversion} %{buildroot}%{_javadocdir}/jackson-modules-java8
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)

%files -n %{?scl_prefix}jackson-module-parameter-names
%defattr(0644,root,root,0755)
%doc LICENSE README.md release-notes/VERSION-2.x
%{_javadir}/jackson-module-parameter-names-%{namedversion}.jar
%{_javadir}/jackson-module-parameter-names.jar
%if %with javadoc
%{_javadir}/jackson-module-parameter-names-%{namedversion}-javadoc.jar
%{_javadir}/jackson-module-parameter-names-javadoc.jar
%endif
%{_javadir}/jackson-module-parameter-names-%{namedversion}-sources.jar
%{_javadir}/jackson-module-parameter-names-sources.jar

%files -n %{?scl_prefix}jackson-datatype-jdk8
%defattr(0644,root,root,0755)
%doc LICENSE README.md release-notes/VERSION-2.x
%{_javadir}/jackson-datatype-jdk8-%{namedversion}.jar
%{_javadir}/jackson-datatype-jdk8.jar
%if %with javadoc
%{_javadir}/jackson-datatype-jdk8-%{namedversion}-javadoc.jar
%{_javadir}/jackson-datatype-jdk8-javadoc.jar
%endif
%{_javadir}/jackson-datatype-jdk8-%{namedversion}-sources.jar
%{_javadir}/jackson-datatype-jdk8-sources.jar

%files -n %{?scl_prefix}jackson-datatype-jsr310
%defattr(0644,root,root,0755)
%doc LICENSE README.md release-notes/VERSION-2.x
%{_javadir}/jackson-datatype-jsr310-%{namedversion}.jar
%{_javadir}/jackson-datatype-jsr310.jar
%if %with javadoc
%{_javadir}/jackson-datatype-jsr310-%{namedversion}-javadoc.jar
%{_javadir}/jackson-datatype-jsr310-javadoc.jar
%endif
%{_javadir}/jackson-datatype-jsr310-%{namedversion}-sources.jar
%{_javadir}/jackson-datatype-jsr310-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jackson-modules-java8-%{namedversion}
%{_javadocdir}/jackson-modules-java8
%endif

%changelog
* Thu Mar 07 2019 Permaine Cheung <pcheung@redhat.com> - 2.9.8-1.redhat_00004.1
- 2.9.8.redhat-00004

* Wed Mar 06 2019 Permaine Cheung <pcheung@redhat.com> - 2.9.8-1.redhat_00004.1
- 2.9.8.redhat-00004

* Tue Jun 12 2018 Permaine Cheung <pcheung@redhat.com> - 2.9.5-2.redhat_2.1
- Rewrap for 7.2.0

* Thu May 24 2018 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.9.5-1.redhat_2.1
- upgrade to 2.9.5.redhat-2

* Thu May 24 2018 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.9.5-1.redhat_2.1
- upgrade to 2.9.5.redhat-2

* Tue Jan 30 2018 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.8.11-1.redhat_1.1
- upgrade to 2.8.11.redhat-1

* Wed Jun 28 2017 Petr Sakar <psakar@redhat.com> - 2.8.9-1.redhat_1.1
- upgrade to 2.8.9.redhat-1

* Tue Mar 28 2017 David Walluck <dwalluck@redhat.com> - 2.8.6-2.redhat_1.1
- add an empty main package

* Tue Feb 14 2017 David Walluck <dwalluck@redhat.com> - 2.8.6-1.redhat_1.1
- release
